Subject: Re: CCL:Using SGI's IRIS Explorer in Computational Chemistry

From: <[email-masked]>
Date: Fri, 1 Apr 94 19:25:51 bst

> 
> >> 	I would suggest that AVS and its Molecule Data Type are much better
> >> for chemistry, since the data type was an integral part of the initial 
> >> design of AVS.  It is very flexible and as such there are many ways in which
> >> data can be stored in its various components, which are hierarchical lists.
> >> I have a nine+ page description of how the MDT is structured if anyone is
> >> interested (at least, how it is structured and used in the Chemistry Viewer).
> >> In general, the MDT is an organized collection of atom-based substructure
> >> and quantum chemical information.
> 
> 
> One problem that some users have had with the pyramid datatype is its
> complexity - partly because it was designed so that the same heirarchical
> structure can be  used to store both  molecular data and unstructured grids. 
> However, once mastered, the molecular pyramid can indeed be used powerfully -
> e.g. the EyeChem suite of chemistry modules developed by Omer Casher and his
> colleagues, which are part of version 2.2 of IRIS Explorer.  Malcolm and I
> have been having (somewhat fitful) exchanges on ways in which this can be
> improved, possibly by making use of IRIS Explorer's functionality for creating
> user-defined types.  Either way, it'd be nice to hear more about the AVS MDT,
> so if there was any more information which could be shared with the group, I'm
> sure I'm not the only one who'd be interested.
> 
Joe Leonard is an expert on the AVS Molecule Data Type.

I wrote most of the EyeChem modules with Explorer V1.0 which, unlike the
current release, did not allow users to construct their own data types. 
I therefore had no choice but to use it's "Chemistry Pyramid" data type
which, in my opinion, is user-unfriendly and inadequate.

For a while, I was working on a better molecule data type in conjuction
with a few new modules. I have since abandoned the project due to a 
lack of interest. 

The EyeChem modules are now available with Explorer on the Irix 5.2 CD.

Omer 

-- 
Omer Casher (P.G.)                       [email-masked]
Molecular Modelling Laboratory           Or +44 71-589-5111 (ex 4206 or 4238 )
Imperial College, London